Bug 9168 - Internal DNS parameters aren't documented
Internal DNS parameters aren't documented
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Documentation
4.0.0rc1
All All
: P5 normal
: ---
Assigned To: Kai Blin
Samba QA Contact
:
Depends on:
Blocks: 8622
  Show dependency treegraph
 
Reported: 2012-09-17 20:46 UTC by Andreas Schneider
Modified: 2012-11-01 08:44 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2012-09-17 20:46:20 UTC

    
Comment 1 Andreas Schneider 2012-09-17 20:47:09 UTC
All parameters need to be documented in the smb.conf manpage for a release.
Comment 2 Kai Blin 2012-09-17 21:36:58 UTC
Do we have docs on creating the docs? :)
Comment 3 Andreas Schneider 2012-09-18 07:22:43 UTC
Sure!

/query jelmer

Then type help ;)
Comment 4 Jelmer Vernooij 2012-09-25 23:10:49 UTC
Writing smb.conf documentation should not have changed significantly. Just edit the files in docs-xml/smbdotconf.

"make undocumented" lists all undocumented parameters:


'directory' is not documented
'privatedirectory' is not documented
'rootdir' is not documented
'root' is not documented
'user' is not documented
'users' is not documented
'group' is not documented
'writeok' is not documented
'writable' is not documented
'createmode' is not documented
'directorymode' is not documented
'onlyguest' is not documented
'public' is not documented
'allowhosts' is not documented
'denyhosts' is not documented
'debuglevel' is not documented
'timestamplogs' is not documented
'maxprotocol' is not documented
'protocol' is not documented
'minprotocol' is not documented
'clientmaxprotocol' is not documented
'clientminprotocol' is not documented
'unicode' is not documented
'cldapport' is not documented
'dgramport' is not documented
'nbtport' is not documented
'krb5port' is not documented
'kpasswdport' is not documented
'webport' is not documented
'rpcbigendian' is not documented
'printcap' is not documented
'printok' is not documented
'printer' is not documented
'casesignames' is not documented
'preferedmaster' is not documented
'browsable' is not documented
'ldappasswordsync' is not documented
'autoservices' is not documented
'lockdir' is not documented
'ntpsigndsocketdirectory' is not documented
'default' is not documented
'socketaddress' is not documented
'afstokenlifetime' is not documented
'lognttokencommand' is not documented
'exec' is not documented
'vfsobject' is not documented
'winbinduid' is not documented
'winbindgid' is not documented
'winbinddsocketdirectory' is not documented
'winbinddprivilegedsocketdirectory' is not documented
'winbindsealedpipes' is not documented
'allowdnsupdates' is not documented
'dnsforwarder' is not documented
'dnsupdatecommand' is not documented
'nsupdatecommand' is not documented
'rndccommand' is not documented
'sambakcccommand' is not documented
'serverservices' is not documented
'dcerpcendpointservers' is not documented
'spnupdatecommand' is not documented
'sharebackend' is not documented
'ntvfshandler' is not documented
'tlsenabled' is not documented
'tlskeyfile' is not documented
'tlscertfile' is not documented
'tlscafile' is not documented
'tlscrlfile' is not documented
'tlsdhparamsfile' is not documented
Comment 5 Kai Blin 2012-09-26 05:28:18 UTC
And what exactly do I put into these files? "Not changed" doesn't really help if you've never written a manpage entry before.

What do the parameters in <samba:parameter> mean?
I assume "context" means "share" or "global", but what's the rest? If I have a list of allowed enum values, what do I put into "type", and what is "advanced" and "developer"?
Comment 6 Björn Jacke 2012-09-26 09:53:41 UTC
(In reply to comment #5)
> And what exactly do I put into these files? "Not changed" doesn't really help
> if you've never written a manpage entry before.

a simple recipe: I (and I guess most others) just take a similar man page xml file and do copy/paste the skeleton (or the whole file) see which tags are being used for what and adopt the content :-)
Comment 7 Björn Baumbach 2012-10-30 11:53:48 UTC
I think this is fixed:

commit 6461f02229ebf1bcac31f182f51042fa32877eb8
Author: Jelmer Vernooij <jelmer@samba.org>
Date:   Fri Sep 28 21:25:50 2012 -0700

    smb.conf(5): Add basic documentation for 'nsupdate command'. (cherry picked from commit aad30c062fd176fa15994a44a0178d51764cdbf7)


commit a2090ad3f8c06ef66ddfbb123e7fd1e6eff278c3
Author: Jelmer Vernooij <jelmer@samba.org>
Date:   Fri Sep 28 10:35:06 2012 -0700

    smb.conf(5): Add basic documentation for 'allow dns updates'. (cherry picked from commit 68fdcaa6b7f69c622df958413ee3809e56861c04)


commit b484ad5aca8a78e0405b2aa168dd86a85223b6c0
Author: Jelmer Vernooij <jelmer@samba.org>
Date:   Fri Sep 28 10:31:08 2012 -0700

    smb.conf(5): Add basic documentation for 'rndc command'. (cherry picked from commit b0b0266aa70721ebfea8dbc2602e81984a3b6023)


commit 20e41e6bfaab2d38d904729754f83db25e7bf1dc
Author: Jelmer Vernooij <jelmer@samba.org>
Date:   Fri Sep 28 10:16:08 2012 -0700

    smb.conf(5): Add basic documentation for 'dns update command'. (cherry picked from commit 4ccea7f86796070ae6dbf404aa93ad4e5a7ae66e)


commit 7a1584e353c729721d9c1825b22d30636f9ea62f
Author: Jelmer Vernooij <jelmer@samba.org>
Date:   Thu Sep 27 13:38:31 2012 -0700

    smb.conf(5): Add basic documentation for 'dns forwarder'. (cherry picked from commit e9d91cd4a133d7acb377341282230f99f5e10a12